/**
    定义layui模块 - 模板引擎 - 自定义模板
 */
layui.define(['index', 'laytpl', 'form'], function (exports) {

  exports("chart", {
    getUserInfo: "boss/pages/userInfo/index.html",
    xAxis: {
      axisLine: {
        lineStyle: {
          color: "#454b5026",
        },
      },
      splitLine: {
        show: true,
        lineStyle: {
          color: ["#454b5026"],
          width: 1,
          type: "solid",
        },
      },
    },
    yAxis: {
      axisLine: {
        lineStyle: {
          color: "#454b5026",
        },
      },
      splitLine: {
        show: true,
        lineStyle: {
          color: ["#454b5026"],
          width: 1,
          type: "solid",
        },
      },
    },
    textStyle: {
      color: "#a5aaaf",
    },
    series: {
      itemStyle: {
        normal: {
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            {
              offset: 0,
              color: "#1289ff",
            },
            {
              offset: 1,
              color: "#1289ff4d",
            },
          ]),
        },
      },
    },
  });
});

