const basicRouteUrl = 'edittable';
module.exports = {
    basicRouteUrl,
    basicRouteName: "首页",
    routerConfigs: [{
            url: '/list',
            type: "post",
            name: "table-list",
            desc: "table-list api",
            accessUrl: basicRouteUrl + '/list',
            mockData: {
                'data|1-20': [{
                    id: 4,
                    groupName: "分组1",
                    remark: "分组1备注"
                }]
            }
        },
        {
            url: '/insert',
            type: "post",
            name: "table-insert",
            desc: "table-insert api",
            accessUrl: basicRouteUrl + '/insert',
            mockData: {
                'data': []
            }
        },
        {
            url: '/update',
            type: "post",
            name: "table-update",
            desc: "table-update api",
            accessUrl: basicRouteUrl + '/update',
            mockData: {
                'data': []
            }
        },
        {
            url: '/delete',
            type: "post",
            name: "table-delete",
            desc: "table-delete api",
            accessUrl: basicRouteUrl + '/delete',
            mockData: {
                'data': []
            }
        }
    ]
};